Get tax estimates
curl --request GET \
--url https://sandbox.hurdlr.com/rest/v4/taxes/vitals \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.hurdlr.com/rest/v4/taxes/vitals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.hurdlr.com/rest/v4/taxes/vitals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": "<string>",
"state": "<string>",
"year": 123,
"federalFilingStatus": "<string>",
"stateFilingStatus": "<string>",
"w2Income": 123,
"businessIncome": 123,
"expenses": 123,
"deductibleMileageExpenses": 123,
"deductibleNonMileageExpenses": 123,
"homeOfficeDeduction": 123,
"taxableNetIncome": 123,
"overallTax": 123,
"overallTaxSavings": 123,
"overallTaxUnpaid": 123,
"federalTaxUnpaid": 123,
"stateTaxUnpaid": 123,
"annualPaymentDueDate": "2023-11-07T05:31:56Z",
"afterTaxIncome": 123,
"investmentIncome": 123,
"federalTax": {
"w2MarginalTaxRate": 123,
"marginalTaxRate": 123,
"agi": 123,
"businessIncomeDeduction": 123,
"businessIncomeDeductionEffectiveRate": 123,
"federalDeduction": 123,
"taxableIncome": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": 123,
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": 123,
"medicareSurtax": {
"investmentIncomeMedicareSurtax": 123,
"earnedIncomeMedicareSurtax": 123
}
},
"stateTax": {
"w2MarginalTaxRate": 123,
"marginalTaxRate": 123,
"agi": 123,
"stateDeduction": 123,
"taxableIncome": 123,
"preCreditEffectiveTaxRate": 123,
"taxAmountWithoutTaxCredit": 123,
"taxBeforeWithholding": 123,
"effectiveTaxRateBeforeWithholding": 123,
"withholdingAppliedToTax": 123,
"taxAmount": 123,
"effectiveTaxRate": 123,
"taxCreditAmount": 123
},
"selfEmploymentTax": {
"ficaTaxableIncome": 123,
"ficaEffectiveTaxRate": 123,
"ficaTax": 123,
"medicareTaxableIncome": 123,
"medicareEffectiveTaxRate": 123,
"medicareTax": 123,
"selfEmploymentTax": 123,
"selfEmploymentDeductiont": 123
},
"quarterlyTaxes": {
"q1": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q2": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q3": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
},
"q4": {
"dueDate": "2023-12-25",
"federalTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
},
"stateTax": {
"taxOwed": 123,
"taxPaid": 123,
"paymentsAllocatedFromPast": 123,
"paymentsRolledOverToFuture": true,
"paymentsBalance": 123
}
}
}
}Taxes
Get tax estimates
Get a summary of a user’s tax obligations; also useful for displaying a real-time P&L
GET
/
v4
/
taxes
/
vitals
Get tax estimates
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The period to receive summarized data for
Available options:
ANNUAL_PROJECTED, YTD, LAST_YEAR Example:
"YTD"
Response
200 - application/json
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I